org.apache.fop.util.text

## Class LocatorFormatter

- java.lang.Object
- - org.apache.fop.util.text.LocatorFormatter

All Implemented Interfaces:
  AdvancedMessageFormat.ObjectFormatter

    public class LocatorFormatter
    extends Object
    implements AdvancedMessageFormat.ObjectFormatter

Object formatter for the SAX Locator object.

### Constructor Summary

Constructors
Constructor and Description
`LocatorFormatter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `format(StringBuffer sb, Object obj)`
`boolean` `supportsObject(Object obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocatorFormatter

    public LocatorFormatter()

### Method Detail

#### format

    public void format(StringBuffer sb,
                       Object obj)

Specified by:
  `format` in interface `AdvancedMessageFormat.ObjectFormatter`

#### supportsObject

    public boolean supportsObject(Object obj)

Specified by:
  `supportsObject` in interface `AdvancedMessageFormat.ObjectFormatter`